Bash update bij Argeweb

Gewijzigd op Mon, 11 Dec 2023 om 01:00 PM

Handleiding voor het patchen van de Shellshock-bug middels SSH om de Bash package te updaten.Korte omschrijving van de pagina

Inhoudsopgave

In september 2014 is er een lek gevonden in Linux/Unix systemen. Dit lek zit in de package "Bash". Om het lek in Bash te dichten dient er een update te worden uitgevoerd. Dit kunt u als volgt doen. Wij raden aan om alvorens u de update uitvoert eerst een snapshot of back-up te maken van uw VPS.

Aanmelden op uw VPS

Via SSH kunt u inloggen op uw VPS. Dit kunt u doen door gebruik te maken van Putty.exe. Deze software is op deze pagina te downloaden.Als u Putty.exe heeft gedownload, dan kunt u een verbinding maken met het IP-adres van uw VPS. Bij het inloggen gebruikt u de gebruikersnaam root en het ingestelde wachtwoord. Dit is het wachtwoord dat u van Argeweb heeft ontvangen of het wachtwoord wat u zelf heeft ingesteld voor uw VPS.

Uit te voeren commando's

CentOS

Heeft u CentOS dan gebruikt u de volgende commando's:

yum clean all

yum update

Debian/ Ubuntu

Maakt u gebruik van Debian of Ubuntu dan dienen de volgende commando's te worden ingevoerd

apt-get update

apt-get upgrade

Met de aangegeven commando's wordt uw server ge├╝pdatet. Het is aan te raden om een reboot uit te voeren van uw VPS. Mocht dit niet gelijk kunnen worden uitgevoerd dan wordt er geadviseerd om dit op een later tijdstip uit te voeren.

Alleen Bash

Bovenstaande commando's updaten meer dan alleen Bash. Wanneer u alleen de Bash wenst te updaten, gebruik dan de volgende commando's

Voor CentOS:

yum clean all

yum update bash

Voor Debian/Ubuntu:

apt-get update

apt-get install bash

Mochten er na het uitvoeren van deze update bijvoorbeeld applicaties niet meer werken zijn wij hier niet verantwoordelijk voor.

Was dit artikel nuttig?

Dat is fantastisch!

Hartelijk dank voor uw beoordeling

Sorry dat we u niet konden helpen

Hartelijk dank voor uw beoordeling

Laat ons weten hoe we dit artikel kunnen verbeteren!

Selecteer tenminste een van de redenen
CAPTCHA-verificatie is vereist.

Feedback verzonden

We stellen uw moeite op prijs en zullen proberen het artikel te verbeteren